<template>
  <div class="rui-menu" :class="componentCSS">
    <slot />
  </div>
</template>

<script>
/**
 * A simple wrapper to display `rui-menu-item`s.
 *
 * When using the horizontal variant, texts will be hidden, so be sure to use icons
 * for entries.
 *
 * @preset Default {
 *   "slots": {
 *     "default": "<div class=\"rui-menu-item\">Item #1</div>\n<div class=\"rui-menu-item\">Item #2</div>\n<div class=\"rui-menu-item\">Item #3</div>\n"
 *   }
 * }
 */
export default {
  name: 'RuiMenu',
  props: {
    /**
     * Horizontal variant. Has no border.
     */
    horizontal: { required: false, type: Boolean, default: false },
    /**
     * Borderless variant with smaller separators. Don't work with `horizontal`
     */
    alternate: { required: false, type: Boolean, default: false },
  },
  computed: {
    componentCSS () {
      return [
        this.horizontal && 'rui-menu--horizontal',
        this.alternate && 'rui-menu--alternate',
      ]
    },
  },
}
</script>
